Jump to content

SUBIECTE NOI
« 1 / 5 »
RSS
cerinta:scrieti programul C++

Scrisoare deschisa Ecaterina Andr...

X persoane apreciaza pagina Y

Durere dupa scoaterea nervului
 Ecaterina Andronescu, primul atac...

Digi 1000 Mbps

Specialisti in Drept Penal: PSD i...

Internet personal vs business
 Top 10 universitati din lume

Nebun sau erou?

Austroglass Parbrize EVITATI!

USR propune ca jandarmii sa poart...
 Ardere ISO cu propriu tau distro

sfat achizitie binoclu planetar

Sfanta Matrona cea oarba, de la M...

Hide external link
 

Problema GameCP pe server dedicat cu Ubuntu 17.04

- - - - -
  • Please log in to reply
16 replies to this topic

#1
Swagger

Swagger

    Active Member

  • Grup: Senior Members
  • Posts: 4,941
  • Înscris: 26.12.2013
Salutari, am achizitionat o licenta GameCP astazi, si doresc sa instalez pe serverul meu dedicat GameCP. Acesta ruleaza Ubuntu. Am instat LAMP pe el, insa PhpMyAdmin nu reusesc sa il instalez, nu stiu daca asta e problema.

Insa, cand acceses http://ip-ulmeu/gamecp/installer singura eroare pe care o primesc este:
php_mysql - Connects PHP to your MySQL server - required

Cum se poate rezolva? Cand tastez sudo apt-get install php-mysql primesc urmatorul mesaj: php-mysql is already the newest version (1:7.1+54ubuntu1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Ce trebuie facut in acest caz? Am ultima versiune de PHP, 7.1.

#2
shogun1

shogun1

    Cranky old n00b ☯

  • Grup: Moderators
  • Posts: 6,556
  • Înscris: 31.01.2009
Salut. S-a discutat, vezi dacă te ajută: https://forum.softpe...-pe-vps-centos/

#3
Swagger

Swagger

    Active Member

  • Grup: Senior Members
  • Posts: 4,941
  • Înscris: 26.12.2013
Salut, din pacate nu pentru ca e pe CentOS, nu pe Ubuntu.

#4
shogun1

shogun1

    Cranky old n00b ☯

  • Grup: Moderators
  • Posts: 6,556
  • Înscris: 31.01.2009
Până intră cineva care știe, pot doar să-ți dau alt link să te inspiri, gen instalează toate pachetele php (php-gd, php-cgi, șamd). https://www.linuxque...o-mysql-903081/
Din primul link ai putea adapta, nu folosești yum ci apt-get, poate pachetele au nume puțin diferite, dar te poți inspira!

LE: și de ce nu poți instala phpmyadmin?

Edited by shogun1, 03 December 2017 - 17:33.


#5
Swagger

Swagger

    Active Member

  • Grup: Senior Members
  • Posts: 4,941
  • Înscris: 26.12.2013
Primesc o eroare dupa ce introduc parola de root de la mysql, revin cu edit cand ajung la laptop sa pto accesa ssh.

#6
Swagger

Swagger

    Active Member

  • Grup: Senior Members
  • Posts: 4,941
  • Înscris: 26.12.2013

View Postshogun1, on 03 decembrie 2017 - 17:28, said:

Până intră cineva care știe, pot doar să-ți dau alt link să te inspiri, gen instalează toate pachetele php (php-gd, php-cgi, șamd). https://www.linuxque...o-mysql-903081/
Din primul link ai putea adapta, nu folosești yum ci apt-get, poate pachetele au nume puțin diferite, dar te poți inspira!

LE: și de ce nu poți instala phpmyadmin?
Am incercat și ce ai zis tu aici, însă degeaba, tot primesc această eroare.

#7
Swagger

Swagger

    Active Member

  • Grup: Senior Members
  • Posts: 4,941
  • Înscris: 26.12.2013
Asemenea, am dezinstalat MySQL și Phpmyadmin, le-am reinstalat, și acum am reușit să configurez cu succes Phpmyadmin, insă eroarea persistă. Nu pot să îmi dau seama de ce.

Nu există php-mysql pentru PHP7, versiunea care o am eu, și nu aș vrea să fac downgrade la php 5, dar nu îmi pot da seama cum să fac să meargă.

#8
shogun1

shogun1

    Cranky old n00b ☯

  • Grup: Moderators
  • Posts: 6,556
  • Înscris: 31.01.2009
Mai așteaptă, poate apare un coleg care știe. Știu că mysql a fost înlocuit de mariadb, ai instalat pachetul mariadb?

#9
Swagger

Swagger

    Active Member

  • Grup: Senior Members
  • Posts: 4,941
  • Înscris: 26.12.2013
Nu, îl instalez și revin cu detalii.

#10
Swagger

Swagger

    Active Member

  • Grup: Senior Members
  • Posts: 4,941
  • Înscris: 26.12.2013
Când încerc să instalez php-myadmin primesc următorul mesaj:php-mysql is already the newest version (1:7.1+54ubuntu1).

Deci, e instalat, de ce nu îl vede GameCP?

#11
Swagger

Swagger

    Active Member

  • Grup: Senior Members
  • Posts: 4,941
  • Înscris: 26.12.2013
Am instalat serverul dedicat pe CentOS 7 si acum cand incerc sa accesez IP-ul serverului /gamecp primesc eroarea:

Unable to write to: /var/www/html/gamecp/installer/cache/

Am incercat cu sudo chmod 777 /var/www/html dar nu functioneaza.

Sfaturi?

#12
addelin

addelin

    Active Member

  • Grup: Members
  • Posts: 1,406
  • Înscris: 17.12.2003
Ai sters pana la urma Ubuntu si ai pus CentOS?

Pentru eroarea asta:

Quote

Unable to write to: /var/www/html/gamecp/installer/cache/

incearca: chmod +x /var/www/html/gamecp/installer/cache/ , eventual cu -R daca mai contine subdirectoare.

Niciodata sa nu dai rwx la tot root-ul webserverului!

Edited by addelin, 04 December 2017 - 14:26.


#13
Swagger

Swagger

    Active Member

  • Grup: Senior Members
  • Posts: 4,941
  • Înscris: 26.12.2013
Da, am pus CentOS. Mi-se pare mult mai OK decat Ubuntu.

#14
Swagger

Swagger

    Active Member

  • Grup: Senior Members
  • Posts: 4,941
  • Înscris: 26.12.2013
Nu s-a rezolvat nici cum. Am incercat cu comanda aceea, eroarea e aceeasi.

#15
addelin

addelin

    Active Member

  • Grup: Members
  • Posts: 1,406
  • Înscris: 17.12.2003
Scuze, trebuia +w nu +x

#16
addelin

addelin

    Active Member

  • Grup: Members
  • Posts: 1,406
  • Înscris: 17.12.2003
Centos are Selinux, care mai face figuri.
Deci daca e bai:  SELINUX=disabled in /etc/sysconfig/selinux.

#17
Danutd666

Danutd666

    Junior

  • Grup: Members
  • Posts: 82
  • Înscris: 08.07.2017
http://wiki.gamecp.com/Ubuntu_14 poate te ajuta .

Anunturi


0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

Forumul Softpedia foloseste "cookies" pentru a imbunatati experienta utilizatorilor Accept
Pentru detalii si optiuni legate de cookies si datele personale, consultati Politica de utilizare cookies si Politica de confidentialitate